       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CBLRAZC1.
      *AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
      * Copyright (C) 1987-2019 SimoTime Technologies.                *
      *                                                               *
      * All rights reserved.  Unpublished, all rights reserved under  *
      * copyright law and international treaty.  Use of a copyright   *
      * notice is precautionary only and does not imply publication   *
      * or disclosure.                                                *
      *                                                               *
      * Permission to use, copy, modify and distribute this software  *
      * for any commercial purpose requires a fee to be paid to       *
      * SimoTime Technologies. Once the fee is received by SimoTime   *
      * the latest version of the software will be delivered and a    *
      * license will be granted for use within an enterprise,         *
      * provided the SimoTime copyright notice appear on all copies   *
      * of the software. The SimoTime name or Logo may not be used    *
      * in any advertising or publicity pertaining to the use of the  *
      * software without the written permission of SimoTime           *
      * Technologies.                                                 *
      *                                                               *
      * Permission to use, copy and modify this software for any      *
      * non-commercial purpose and without fee is hereby granted,     *
      * provided the SimoTime copyright notice appear on all copies   *
      * of the software. The SimoTime name or Logo may not be used in *
      * any advertising or publicity pertaining to the use of the     *
      * software without the written permission of SimoTime           *
      * Technologies.                                                 *
      *                                                               *
      * SimoTime Technologies makes no warranty or representations    *
      * about the suitability of the software for any purpose. It is  *
      * provided "AS IS" without any expressed or implied warranty,   *
      * including the implied warranties of merchantability, fitness  *
      * for a particular purpose and non-infringement. SimoTime       *
      * Technologies shall not be liable for any direct, indirect,    *
      * special or consequential damages resulting from the loss of   *
      * use, data or projects, whether in an action of contract or    *
      * tort, arising out of or in connection with the use or         *
      * performance of this software                                  *
      *                                                               *
      * SimoTime Technologies                                         *
      * 15 Carnoustie Drive                                           *
      * Novato, CA 94949-5849                                         *
      * 415.883.6565                                                  *
      *                                                               *
      * RESTRICTED RIGHTS LEGEND                                      *
      * Use, duplication, or disclosure by the Government is subject  *
      * to restrictions as set forth in subparagraph (c)(1)(ii) of    *
      * the Rights in Technical Data and Computer Software clause at  *
      * DFARS 52.227-7013 or subparagraphs (c)(1) and (2) of          *
      * Commercial  Computer Software - Restricted Rights  at 48      *
      * CFR 52.227-19, as applicable.  Contact SimoTime Technologies, *
      * 15 Carnoustie Drive, Novato, CA 94949-5849.                   *
      *                                                               *
      *****************************************************************
      *      This program is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      * Source Member: CBLRAZC1.CBL
      * Copy Files:    PASSRA12.CPY
      * Calls to:      SIMORA12
      *****************************************************************
      *
      *                   ************
      *                   * CBLRAZJ1 *
      *                   ********jcl*
      *                        *
      *                   ************
      *                   * IEFBR14  *
      *                   ********utl*
      *                        *
      *  ************     ************     ************
      *  * RA12GET1 *-----* CBLRAZC1 *-----* RA12PUT1 *
      *  ********dat*     ********cbl*     ********dat*
      *                        *   *
      *                        *   *       ************
      *                        *   *-call--* SIMORA12 *
      *                        *           ********cbl*
      *                        *
      *                   ************
      *                   *   EOJ    *
      *                   ************
      *
      *****************************************************************
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT RA12GET1-FILE  ASSIGN to     RA12GET1
                  ORGANIZATION is SEQUENTIAL
                  ACCESS MODE  is SEQUENTIAL
                  FILE STATUS  is RA12GET1-STATUS.
           SELECT RA12PUT1-FILE  ASSIGN to     RA12PUT1
                  ORGANIZATION is SEQUENTIAL
                  ACCESS MODE  is SEQUENTIAL
                  FILE STATUS  is RA12PUT1-STATUS.

      *****************************************************************
       DATA DIVISION.
       FILE SECTION.
       FD  RA12GET1-FILE
           DATA RECORD    is RA12GET1-RECORD.
       01  RA12GET1-RECORD.
           05  RA12GET1-DATA-01.
               10  RA12GET1-KEYWORD  pic X(0008).
               10  RA12GET1-BLANK    pic X.
               10  RA12GET1-INFO     pic X(71).

       FD  RA12PUT1-FILE
           DATA RECORD    is RA12PUT1-RECORD.
       01  RA12PUT1-RECORD.
           05  RA12PUT1-DATA-01  pic X(00080).

     *****************************************************************
       WORKING-STORAGE SECTION.
       01  SIM-TITLE.
           05  T1 pic X(11) value '* CBLRAZC1 '.
           05  T2 pic X(34) value 'Right-Adjust, Zero-Fill Example   '.
           05  T3 pic X(10) value ' v07.08.26'.
           05  T4 pic X(24) value ' http://www.simotime.com'.

       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* CBLRAZC1 '.
           05  C2 pic X(20) value 'Copyright 1987-2019 '.
           05  C3 pic X(28) value '   SimoTime Technologies    '.
           05  C4 pic X(20) value ' All Rights Reserved'.

       01  SIM-THANKS-01.
           05  C1 pic X(11) value '* CBLRAZC1 '.
           05  C2 pic X(32) value 'Thank you for using this program'.
           05  C3 pic X(32) value ' provided from SimoTime Technolo'.
           05  C4 pic X(04) value 'gies'.

       01  SIM-THANKS-02.
           05  C1 pic X(11) value '* CBLRAZC1 '.
           05  C2 pic X(32) value 'Please send all inquires or sugg'.
           05  C3 pic X(32) value 'estions to the helpdesk@simotime'.
           05  C4 pic X(04) value '.com'.

       01  MESSAGE-BUFFER.
           05  MESSAGE-HEADER      pic X(11)   value '* CBLRAZC1 '.
           05  MESSAGE-TEXT.
               10  MESSAGE-TEXT-1  pic X(68)   value SPACES.
               10  MESSAGE-TEXT-2  pic X(188)  value SPACES.

       01  RA12GET1-STATUS.
           05  RA12GET1-STATUS-L     pic X.
           05  RA12GET1-STATUS-R     pic X.
       01  RA12GET1-EOF              pic X       value 'N'.
       01  RA12GET1-OPEN-FLAG        pic X       value 'C'.

       01  RA12PUT1-STATUS.
           05  RA12PUT1-STATUS-L     pic X.
           05  RA12PUT1-STATUS-R     pic X.
       01  RA12PUT1-EOF              pic X       value 'N'.
       01  RA12PUT1-OPEN-FLAG        pic X       value 'C'.

       01  IO-STATUS.
           05  IO-STAT1            pic X.
           05  IO-STAT2            pic X.
       01  TWO-BYTES.
           05  TWO-BYTES-LEFT      pic X.
           05  TWO-BYTES-RIGHT     pic X.
       01  TWO-BYTES-BINARY        redefines TWO-BYTES pic 9(4) comp.

       01  APPL-RESULT             pic S9(9)   comp.
           88  APPL-AOK            value 0.
           88  APPL-EOF            value 16.

       01  RA12GET1-TOTAL.
           05  filler       pic X(23) value 'RA12GET1 line count is '.
           05  RA12GET1-LOC pic 9(7)  value 0.

      *****************************************************************
      * The following copy file of the pass area for calling SimoRA12,
      * the date editing routine.
      *****************************************************************
      *
       COPY PASSRA12.
      *
      *****************************************************************
       PROCEDURE DIVISION.
           perform Z-POST-COPYRIGHT
           perform RA12GET1-OPEN
           perform RA12PUT1-OPEN

           perform until RA12GET1-STATUS not = '00'
               perform RA12GET1-READ
               if  RA12GET1-STATUS = '00'
                   add 1 to RA12GET1-LOC
                   perform RIGHT-ADJUST-FUNCTION-DOIT
                   perform RIGHT-ADJUST-FUNCTION-DISPLAY
               end-if
           end-perform

           move RA12GET1-TOTAL to MESSAGE-TEXT
           perform Z-DISPLAY-CONSOLE-MESSAGE

           if  RA12GET1-EOF = 'Y'
               move 'is Finished...' to MESSAGE-TEXT
           else
               move 'is ABENDING...' to MESSAGE-TEXT
           end-if
           perform Z-DISPLAY-CONSOLE-MESSAGE

           perform RA12PUT1-CLOSE
           perform RA12GET1-CLOSE
           perform Z-THANK-YOU.
           GOBACK.

      *****************************************************************
      * The following routines are in alphabetical sequence..         *
      *****************************************************************

       RIGHT-ADJUST-FUNCTION-DISPLAY.
           move 'Right Adjusted Value......... ' to MESSAGE-TEXT
           move RA12-BUFFER                      to MESSAGE-TEXT(31:12)
           move MESSAGE-TEXT                     to RA12PUT1-DATA-01
           perform Z-DISPLAY-CONSOLE-MESSAGE
           perform RA12PUT1-WRITE

           if  RA12-RESPOND = ZERO
               move 'RC=nnnn, Value is Numeric' to MESSAGE-TEXT
           else
               move 'RC=nnnn, Value is NON-Numeric or Request Invalid'
                 to MESSAGE-TEXT
           end-if
           move RA12-RESPOND to MESSAGE-TEXT(4:4)
           move MESSAGE-TEXT                     to RA12PUT1-DATA-01
           perform Z-DISPLAY-CONSOLE-MESSAGE
           perform RA12PUT1-WRITE
           exit.
      *
      *****************************************************************
       RIGHT-ADJUST-FUNCTION-DOIT.
           move all '*' to MESSAGE-TEXT-1
           perform Z-DISPLAY-CONSOLE-MESSAGE
           move all '*' to RA12PUT1-DATA-01
           perform RA12PUT1-WRITE

           move RA12GET1-DATA-01 to MESSAGE-TEXT
           perform Z-DISPLAY-CONSOLE-MESSAGE
           move RA12GET1-DATA-01 to RA12PUT1-DATA-01
           perform RA12PUT1-WRITE

           move 'RIGHTADJ'       to RA12-REQUEST
           move RA12GET1-INFO    to RA12-BUFFER
           call 'SIMORA12'    using RA12-PASS-AREA

           exit.

      *****************************************************************
      * I/O ROUTINES FOR RA12GET1...                                  *
      *****************************************************************
       RA12GET1-CLOSE.
           add 8 to ZERO giving APPL-RESULT.
           close RA12GET1-FILE
           if  RA12GET1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'RA12GET1-Failure-CLOSE...' to MESSAGE-TEXT
               perform Z-DISPLAY-CONSOLE-MESSAGE
               move RA12GET1-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       RA12GET1-READ.
           read RA12GET1-FILE
           if  RA12GET1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               if  RA12GET1-STATUS = '10'
                   add 16 to ZERO giving APPL-RESULT
               else
                   add 12 to ZERO giving APPL-RESULT
               end-if
           end-if
           if  APPL-AOK
               CONTINUE
           else
               if  APPL-EOF
                   move 'Y' to RA12GET1-EOF
               else
                   move 'RA12GET1-Failure-GET...' to MESSAGE-TEXT
                   perform Z-DISPLAY-CONSOLE-MESSAGE
                   move RA12GET1-STATUS to IO-STATUS
                   perform Z-DISPLAY-IO-STATUS
                   perform Z-ABEND-PROGRAM
               end-if
           end-if
           exit.
      *---------------------------------------------------------------*
       RA12GET1-OPEN.
           add 8 to ZERO giving APPL-RESULT.
           open input RA12GET1-FILE
           if  RA12GET1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'O' to RA12GET1-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'RA12GET1-Failure-OPEN...' to MESSAGE-TEXT
               perform Z-DISPLAY-CONSOLE-MESSAGE
               move RA12GET1-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.

      *****************************************************************
      * I/O ROUTINES FOR RA12PUT1...                                  *
      *****************************************************************
       RA12PUT1-WRITE.
           if  RA12PUT1-OPEN-FLAG = 'C'
               perform RA12PUT1-OPEN
           end-if
           write RA12PUT1-RECORD
           if  RA12PUT1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               if  RA12PUT1-STATUS = '10'
                   add 16 to ZERO giving APPL-RESULT
               else
                   add 12 to ZERO giving APPL-RESULT
               end-if
           end-if.
           if  APPL-AOK
               CONTINUE
           else
               move 'RA12PUT1-Failure-WRITE...' to MESSAGE-TEXT
               perform Z-DISPLAY-CONSOLE-MESSAGE
               move RA12PUT1-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       RA12PUT1-OPEN.
           add 8 to ZERO giving APPL-RESULT.
           open output RA12PUT1-FILE
           if  RA12PUT1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'O' to RA12PUT1-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'RA12PUT1-Failure-OPEN...' to MESSAGE-TEXT
               perform Z-DISPLAY-CONSOLE-MESSAGE
               move RA12PUT1-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       RA12PUT1-CLOSE.
           add 8 to ZERO giving APPL-RESULT.
           close RA12PUT1-FILE
           if  RA12PUT1-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'C' to RA12PUT1-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'RA12PUT1-Failure-CLOSE...' to MESSAGE-TEXT
               perform Z-DISPLAY-CONSOLE-MESSAGE
               move RA12PUT1-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.

      *****************************************************************
      * The following Z-Routines perform administrative tasks         *
      * for this program.                                             *
      *****************************************************************
      * ABEND the program, post a message to the console and issue    *
      * a STOP RUN.                                                   *
      *****************************************************************
       Z-ABEND-PROGRAM.
           if  MESSAGE-TEXT not = SPACES
               perform Z-DISPLAY-CONSOLE-MESSAGE
           end-if
           move 'PROGRAM-IS-ABENDING...'  to MESSAGE-TEXT
           perform Z-DISPLAY-CONSOLE-MESSAGE
           add 12 to ZERO giving RETURN-CODE
           STOP RUN.
      *    exit.

      *****************************************************************
      * Display CONSOLE messages...                                   *
      *****************************************************************
       Z-DISPLAY-CONSOLE-MESSAGE.
           if MESSAGE-TEXT-2 = SPACES
               display MESSAGE-BUFFER(1:79) upon console
           else
               display MESSAGE-BUFFER upon console
           end-if
           move all SPACES to MESSAGE-TEXT
           exit.

      *****************************************************************
      * Display the file status bytes. This routine will display as   *
      * two digits if the full two byte file status is numeric. If    *
      * second byte is non-numeric then it will be treated as a       *
      * binary number.                                                *
      *****************************************************************
       Z-DISPLAY-IO-STATUS.
           if  IO-STATUS not NUMERIC
           or  IO-STAT1    = '9'
               subtract TWO-BYTES-BINARY from TWO-BYTES-BINARY
               move IO-STAT2 to TWO-BYTES-RIGHT
               display '* CBLRAZC1 File-Status-' IO-STAT1 '/'
                       TWO-BYTES-BINARY upon console
           else
               display '* CBLRAZC1 File-Status-' IO-STATUS upon console
           end-if
           exit.

      *****************************************************************
       Z-POST-COPYRIGHT.
           display SIM-TITLE     upon console
           display SIM-COPYRIGHT upon console
           exit.

      *****************************************************************
       Z-THANK-YOU.
           display SIM-THANKS-01 upon console
           display SIM-THANKS-02 upon console
           exit.
      *****************************************************************
      *      This example is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
