@echo OFF
rem  * *******************************************************************
rem  *               CBLRAZE1.cmd - a Windows Command File               *
rem  *       This Job Script is provided by SimoTime Technologies        *
rem  *           (C) Copyright 1987-2020 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read file of Numeric strings, right-adjust, write output.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read an 80-byte file that contains RIGHTADJ
rem  * information. The job will also write a file containing the results
rem  * of the right-adjust functions.
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *    ************
rem  *    * CblRazE1 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************
rem  *    *   run    *****************************
rem  *    ************                           *
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           * RA12GET1 ******* CblRazC1 ******* RA12PUT1 *
rem  *         *           ********txt*     ********cbl*     ********csv*
rem  *         *                                 *
rem  *         *                            ************
rem  *         *                            * SIMORA12 *
rem  *         *                            ********cbl*
rem  *         *
rem  *    ************
rem  *    *   EOJ    *
rem  *    ************
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set CmdName=CblRazE1
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:DeleteQSAM
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set RA12GET1=%BaseLib1%\DATA\Asc1\RA12GET1.DAT
     set RA12PUT1=%BaseLib1%\DATA\Wrk1\RA12PUT1.DAT
     if exist %RA12PUT1% del %RA12PUT1%
rem  *
rem  * *******************************************************************
rem  * Step   2   Edit input, create a new output file...
rem  *
:ExecuteRightAdjustRoutine
     call SimoNOTE "Identify JobStep ExecuteRightAdjustRoutine"
     run CBLRAZC1
     if not ERRORLEVEL = 0 set JobStatus=0001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
     if exist %RA12PUT1% goto :EojAok
     set JobStatus=0002
     goto :EojNok
:EojAok
     call SimoNOTE "Produced DataSet %RA12PUT1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%SIMOMODE%" == "BATCH" pause
