@echo OFF
rem  * *******************************************************************
rem  *               CBLRAZE2.cmd - a Windows Command File               *
rem  *       This Job Script is provided by SimoTime Technologies        *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using Echo command.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteQSAM) will delete any previously created
rem  * file. The second job step (CreateQSAM) will create a new file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     call ..\ENV1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=CblRazE2
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%"
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set RA12TXT1=%BaseLib1%\DATA\Txt1\RA12TXT1.TXT
     if exist %RA12TXT1% del %RA12TXT1%
rem  *
rem  * *******************************************************************
rem  * Step   2 of 2  Create and populate a new QSAM file...
rem  *
:CreateLSEQ
     call SimoNOTE "Identify JobStep CreateLSEQ"
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo RIGHTADJ 1             >%RA12TXT1%
echo RIGHTADJ 12           >>%RA12TXT1%
echo RIGHTADJ 123          >>%RA12TXT1%
echo RIGHTADJ 1234         >>%RA12TXT1%
echo RIGHTADJ 1234A        >>%RA12TXT1%
echo RIGHTADJ 12345        >>%RA12TXT1%
echo RIGHTADJ 123456       >>%RA12TXT1%
echo RIGHTADJ 123 56       >>%RA12TXT1%
echo RIGHTADJ 1234567      >>%RA12TXT1%
echo RIGHTADJ 12345678     >>%RA12TXT1%
echo RIGHTADJ 123456789    >>%RA12TXT1%
echo RIGHTADJ 1234567890   >>%RA12TXT1%
echo RIGHTADJ 12345678901  >>%RA12TXT1%
echo RIGHTADJ 123456789012 >>%RA12TXT1%
echo RIGHTADJ 3            >>%RA12TXT1%
     if exist %RA12TXT1% call SimoNOTE "Produced DataSet %RA12TXT1%"
     if not exist %RA12TXT1% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
:CreateRSEQAsc
     set GETLS080=%BaseLib1%\DATA\TXT1\RA12TXT1.TXT
     set PUTRS080=%BaseLib1%\DATA\Asc1\RA12GET1.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if exist %PUTRS080% call SimoNOTE "Produced DataSet %PUTRS080%"
     if not exist %PUTRS080% set JobStatus=9002
     if not %JobStatus% == 0000 goto :EojNok
:CreateRSEQEbc
     set GETLS080=%BaseLib1%\DATA\TXT1\RA12TXT1.TXT
     set PUTRS080=%BaseLib1%\DATA\Ebc1\RA12GET1.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALER
     if exist %PUTRS080% call SimoNOTE "Produced DataSet %PUTRS080%"
     if not exist %PUTRS080% set JobStatus=9003
     if not %JobStatus% == 0000 goto :EojNok
rem  *
:EojAok
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SYSOUT is %SYSOUT%"
     if not "%SIMOMODE%" == "BATCH" pause
